## GdaTreeMgrLdap

GdaTreeMgrLdap — A tree manager which creates a node for each child entry of an LDAP entry

## Stability Level

Stable, unless otherwise indicated

## Synopsis

    struct              GdaTreeMgrLdap;
    GdaTreeManager *    gda_tree_mgr_ldap_new               (GdaConnection *cnc,
                                                             const gchar *dn);

## Object Hierarchy

      GObject
       +----GdaTreeManager
             +----GdaTreeMgrLdap

## Properties

      "connection"               GdaLdapConnection*    : Read / Write / Construct Only
      "dn"                       gchar*                : Read / Write / Construct Only

## Description

The GdaTreeMgrLdap is a GdaTreeManager object which creates a node for each child entry of an LDAP entry.

Note: this type of tree manager is available only if the LDAP library was found at compilation time and if the LDAP provider is correctly installed.

## Details

### struct GdaTreeMgrLdap

    struct GdaTreeMgrLdap;

### gda_tree_mgr_ldap_new ()

    GdaTreeManager *    gda_tree_mgr_ldap_new               (GdaConnection *cnc,
                                                             const gchar *dn);

Creates a new GdaTreeManager object which will list the children of the LDAP entry which Distinguished name is `dn`. If `dn` is `NULL`, then the tree manager will look in the tree itself for an attribute named "dn" and use it.

`cnc` : | a GdaConnection object
`dn` : | an LDAP Distinguished Name or `NULL`. [allow-none]
Returns : | a new GdaTreeManager object. [transfer full]

Since 4.2.8

## Property Details

### The `"connection"` property

      "connection"               GdaLdapConnection*    : Read / Write / Construct Only

Defines the GdaLdapConnection to get information from.

### The `"dn"` property

      "dn"                       gchar*                : Read / Write / Construct Only

Defines the Distinguised Name of the LDAP entry to list children from

Default value: NULL